actions:
- RecordPath
- ExecuteMissionByUuid
- ExecuteNetworkGoTo
- RunNetworkMissionPreviewer
- GetWaypointPath
- UITask
- NetworkGoToPOI
- SmoothPath
- Mission
- RunNetworkGoToPlanner
- ExecuteNetworkMissionByUuid
api_documentation: http://docs.ros.org/en/noetic/api/clearpath_navigation_msgs/html
authors: ''
brief: ''
bugtracker: ''
depends:
- actionlib
- actionlib_msgs
- catkin
- geometry_msgs
- message_generation
- message_runtime
- nav_msgs
- std_msgs
depends_on:
- clearpath_dock_msgs
- clearpath_mission_manager_msgs
- clearpath_mission_scheduler_msgs
- clearpath_msgs
description: ROS package containing the message definitions for the Clearpath Robotics
  OutdoorNav navigation module.
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__clearpath_msgs__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__clearpath_msgs__ubuntu_focal_amd64
has_changelog_rst: true
license: Proprietary
maintainer_status: maintained
maintainers: "Jos\xE9 Mastrangelo <jmastrangelo@clearpathrobotics.com>"
metapackages:
- clearpath_msgs
msgs:
- NetworkMap
- Vector2D
- MotionState
- Task
- OdomIntent
- NetworkPoint
- AutonomyStatus
- Waypoint
- NavigationState
- Mission
- NetworkEdge
- MissionStatus
- Metrics
- NetworkMissionSegment
- PointOfInterest
- Progress
- TrackError
- ScanPoints
- WaypointStatus
- Vector2D64
- DistanceToGoal
- NetworkGoalState
- NetworkMission
- PointVector
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__clearpath_navigation_msgs__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__clearpath_navigation_msgs__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__clearpath_navigation_msgs__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__clearpath_navigation_msgs__ubuntu_focal_arm64__binary
repo_name: clearpath_msgs
repo_url: ''
srvs:
- AutonomyTaskSrv
- SetStopDistance
- SetDelayCompensation
- SetPathSmoother
- SetPathShifter
timestamp: 1716892152.8509018
url: ''
vcs: git
vcs_uri: https://github.com/clearpathrobotics/clearpath_msgs.git
vcs_version: noetic-devel
